Subject: Re: [GSoC] Designing a faster index format

From: Thomas Rast <[email-masked]>
Date: Wed, 21 Mar 2012 17:19:15 +0100

Thomas Gummerer <[email-masked]> writes:

> While reworking the index into a tree (not to mention if it's in database format), 
> the backward compatibility would be broken anyway from what I understood?
> Therefore taking Shawns thoughts into account should not be a lot more work
> and should make it also easier to implement for the .git reading programs,
> since it's easier to parse for the core it should also be easier to parse for them.
>
> Then if changing the checksum algorithm can bring some advantage I think
> it should be well worth the extra work while we break compatibility in any case.

AFAICS we are in agreement.  I was saying it's not worth breaking
compatibility for *only* the checksum change.  You are coming from the
other side: "once all the rest is done, the checksum change is easy",
which is probably true.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch